@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/input";

:host {
  width: 100%;
}

.main-job-description {
  display: flex;
  justify-content: space-between;
  background: white;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer{
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    margin-right: 2rem;
    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    &__button-search {
      border-radius: 8px;
      display: flex;
      min-width: 174px;
      justify-content: center;
      align-items: center;
      padding: 6px 24px 6px 24px;
      font-size: 14px;
      min-height: 45px;
      background: $background-primary-button-color;
      color: $primary-button-color;
      font-weight: 600;
      border: initial;
      span {
        margin: 0px 4px;
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
  }
}

.main-job-card {
  margin: 12px 0px;
  border-radius: 16px;

  &__row {
    margin-top: 16px;
  }

  &__table {
    margin-top: 30px;
    &--title-stt {
      width: 5%;
    }

    &--title-unit-management {
      width: 15%;
    }

    &--title-unit-one {
      width: 10%;
    }

    &--title-unit-two {
      width: 10%;
    }

    &--title-unit-three {
      width: 10%;
    }

    &--title-position {
      width: 15%;
    }

    &--title-name {
      width: 15%;
    }

    &--title-status {
      width: 8%;
    }

    &--title-unit-action {
      width: 7%;
    }
  }

  &__button-search {
    display: flex;
    justify-content: center;
    margin-top: 16px;
    margin-bottom: 1rem;
  }

  &__left {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__center {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__right {
    padding-left: 15px;
    &__select {
      width: 100%;
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }

  ::ng-deep {
    .mat-chip-list-wrapper input.mat-input-element,
    .mat-chip-list-wrapper .mat-standard-chip {
      margin-left: 12px !important;
      margin-top: -2px !important;
    }
    .mat-form-field-flex {
      border: 1px solid rgb(217, 217, 217);
      min-height: 44px;
      // border: 1px solid #F5F5F5;
      border-radius: 8px;
      align-items: center !important;
      color: #d9d9d9;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
  }
}

.main-job-card__table--action {
  &__menu {
    border-radius: 12px;
    &--item {
      display: flex;
      align-items: center;
    }
  }
  &__icon {
    transform: rotate(90deg);
  }
}
.table-container {
  margin-top: 24px;
  .ant-table-tbody > tr > td {
    padding: 8px;
  }
}
.icon-delete-unit {
  border-radius: 50%;
  position: absolute;
  right: 0.5rem;
  top: 2.6rem;
  color: $white-color;
  font-size: 12px;
  background: $background-icon;
}
.icon-delete-unit:hover {
  cursor: pointer;
  background: $background-icon-hover;
}
.position-relative {
  position: relative;
}
.text-center {
  text-align: center;
}
.display-center {
  display: flex;
  justify-content: center;
}
.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 320px;
}

.main-model-organization__tooltip {
  &__button {
    background: none;
    border: none;
  }
  &__menu {
    border-radius: 12px;
    &--item {
      display: flex;
      align-items: center;
      &__text {
        margin-left: 15px;
      }
      &__icon {
        margin-right: 0px !important;
      }
    }
  }
  &__icon {
    transform: rotate(90deg);
  }
}
.pl-5px {
  padding-left: 5px;
}
.mt-20 {
  margin-top: 20px;
}
.action {
  display: flex;
  justify-content: center;
}
